Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classparser.manchester
Class JavaCharStream

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.classparser.manchester.JavaCharStream

    public class JavaCharStream

extends Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (with java-like unicode escape processing).

Field Summary
`protected int[]` | `bufcolumn`
`protected char[]` | `buffer`
`protected int[]` | `bufline`
`int` | `bufpos`
`protected int` | `column`
`protected int` | `inBuf`
`protected Reader` | `inputStream`
`protected int` | `line`
`protected int` | `maxNextCharInd`
`protected char[]` | `nextCharBuf`
`protected int` | `nextCharInd`
`protected boolean` | `prevCharIsCR`
`protected boolean` | `prevCharIsLF`
`static boolean` | `staticFlag`
`protected int` | `tabSize`

Constructor Summary
`JavaCharStream(InputStream dstream)`
`JavaCharStream(InputStream dstream, int startline, int startcolumn)`
`JavaCharStream(InputStream dstream, int startline, int startcolumn, int buffersize)`
`JavaCharStream(InputStream dstream, String encoding)`
`JavaCharStream(InputStream dstream, String encoding, int startline, int startcolumn)`
`JavaCharStream(InputStream dstream, String encoding, int startline, int startcolumn, int buffersize)`
`JavaCharStream(Reader dstream)`
`JavaCharStream(Reader dstream, int startline, int startcolumn)`
`JavaCharStream(Reader dstream, int startline, int startcolumn, int buffersize)`

Method Summary
`void` | `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`protected void` | `AdjustBuffSize()`
`void` | `backup(int amount)`
`char` | `BeginToken()`
`void` | `Done()`
`protected void` | `ExpandBuff(boolean wrapAround)`
`protected void` | `FillBuff()`
`int` | `getBeginColumn()`
`int` | `getBeginLine()`
`int` | `getColumn()` Deprecated.
`int` | `getEndColumn()`
`int` | `getEndLine()`
`String` | `GetImage()`
`int` | `getLine()` Deprecated.
`char[]` | `GetSuffix(int len)`
`protected int` | `getTabSize(int i)`
`protected char` | `ReadByte()`
`char` | `readChar()`
`void` | `ReInit(InputStream dstream)`
`void` | `ReInit(InputStream dstream, int startline, int startcolumn)`
`void` | `ReInit(InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` | `ReInit(InputStream dstream, String encoding)`
`void` | `ReInit(InputStream dstream, String encoding, int startline, int startcolumn)`
`void` | `ReInit(InputStream dstream, String encoding, int startline, int startcolumn, int buffersize)`
`void` | `ReInit(Reader dstream)`
`void` | `ReInit(Reader dstream, int startline, int startcolumn)`
`void` | `ReInit(Reader dstream, int startline, int startcolumn, int buffersize)`
`protected void` | `setTabSize(int i)`
`protected void` | `UpdateLineColumn(char c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

See Also:
  Constant Field Values

### bufpos

    public int bufpos

### bufline

    protected int[] bufline

### bufcolumn

    protected int[] bufcolumn

### column

    protected int column

### line

    protected int line

### prevCharIsCR

    protected boolean prevCharIsCR

### prevCharIsLF

    protected boolean prevCharIsLF

### inputStream

    protected Reader inputStream

### nextCharBuf

    protected char[] nextCharBuf

### buffer

    protected char[] buffer

### maxNextCharInd

    protected int maxNextCharInd

### nextCharInd

    protected int nextCharInd

### inBuf

    protected int inBuf

### tabSize

    protected int tabSize

Constructor Detail

### JavaCharStream

    public JavaCharStream(Reader dstream,
                          int startline,
                          int startcolumn,
                          int buffersize)

### JavaCharStream

    public JavaCharStream(Reader dstream,
                          int startline,
                          int startcolumn)

### JavaCharStream

    public JavaCharStream(Reader dstream)

### JavaCharStream

    public JavaCharStream(InputStream dstream,
                          String encoding,
                          int startline,
                          int startcolumn,
                          int buffersize)
                   throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`

### JavaCharStream

    public JavaCharStream(InputStream dstream,
                          int startline,
                          int startcolumn,
                          int buffersize)

### JavaCharStream

    public JavaCharStream(InputStream dstream,
                          String encoding,
                          int startline,
                          int startcolumn)
                   throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`

### JavaCharStream

    public JavaCharStream(InputStream dstream,
                          int startline,
                          int startcolumn)

### JavaCharStream

    public JavaCharStream(InputStream dstream,
                          String encoding)
                   throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`

### JavaCharStream

    public JavaCharStream(InputStream dstream)

Method Detail

### setTabSize

    protected void setTabSize(int i)

### getTabSize

    protected int getTabSize(int i)

### ExpandBuff

    protected void ExpandBuff(boolean wrapAround)

### FillBuff

    protected void FillBuff()
                     throws IOException

  Throws:
    `IOException`

### ReadByte

    protected char ReadByte()
                     throws IOException

  Throws:
    `IOException`

### BeginToken

    public char BeginToken()
                    throws IOException

  Throws:
    `IOException`

### AdjustBuffSize

    protected void AdjustBuffSize()

### UpdateLineColumn

    protected void UpdateLineColumn(char c)

### readChar

    public char readChar()
                  throws IOException

  Throws:
    `IOException`

### getColumn

    public int getColumn()

  Deprecated.

  See Also:
    `getEndColumn()`

### getLine

    public int getLine()

  Deprecated.

  See Also:
    `getEndLine()`

### getEndColumn

    public int getEndColumn()

### getEndLine

    public int getEndLine()

### getBeginColumn

    public int getBeginColumn()

### getBeginLine

    public int getBeginLine()

### backup

    public void backup(int amount)

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(Reader dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(Reader dstream)

### ReInit

    public void ReInit(InputStream dstream,
                       String encoding,
                       int startline,
                       int startcolumn,
                       int buffersize)
                throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(InputStream dstream,
                       String encoding,
                       int startline,
                       int startcolumn)
                throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### ReInit

    public void ReInit(InputStream dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(InputStream dstream,
                       String encoding)
                throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### ReInit

    public void ReInit(InputStream dstream)

### GetImage

    public String GetImage()

### GetSuffix

    public char[] GetSuffix(int len)

### Done

    public void Done()

### adjustBeginLineColumn

    public void adjustBeginLineColumn(int newLine,
                                      int newCol)

  Method to adjust line and column numbers for the start of a token.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.